Bug 634010 - Package Updater crashes every time launched
Package Updater crashes every time launched
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: pirut (Show other bugs)
5.5
All Linux
low Severity medium
: rc
: ---
Assigned To: James Antill
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-14 18:00 EDT by Matt
Modified: 2013-01-10 05:44 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-16 09:47:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Crash log (1.69 KB, text/plain)
2010-09-14 18:01 EDT, Matt
no flags Details

  None (edit)
Description Matt 2010-09-14 18:00:17 EDT
Description of problem:

When I try to run the Package Updator, it crashes.

Version-Release number of selected component (if applicable):

pirut-1.3.28-17.el5

How reproducible:


Steps to Reproduce:
1. Launch Package Updator (Applications > System Tools > Software Updater)
  
Actual results:

Crash, with log.

Expected results:

Not to crash.

Additional info:
Comment 1 Matt 2010-09-14 18:01:36 EDT
Created attachment 447338 [details]
Crash log

This is the saved crash log.
Comment 2 James Antill 2010-09-14 18:30:18 EDT
 The error is:

RepoError: failed to retrieve repodata/39fcadbfc015ad636ccd6c3b2b69e004f2ed8c49-updateinfo.xml.gz from rhel-i386-client-5
error was [Errno 7] HTTP Exception (BadStatusLine): 

...which implies that yum/yum-rhn-plugin can't contact RHN ... does yum work from the command line?
Comment 3 Matt 2010-09-14 19:22:00 EDT
I am able to run yum from the command line, at least this works:

$ yum update-check
apr.i386                                        1.2.7-11.el5_5.2                               rhel-i386-client-5            
apr-devel.i386                                  1.2.7-11.el5_5.2                               rhel-i386-client-workstation-5
dhclient.i386                                   12:3.0.5-23.el5_5.2                            rhel-i386-client-5            
expat.i386                                      1.95.8-8.3.el5_5.3                             rhel-i386-client-5            
expat-devel.i386                                1.95.8-8.3.el5_5.3                             rhel-i386-client-workstation-5
firefox.i386                                    3.6.9-2.el5                                    rhel-i386-client-5            
ghostscript.i386                                8.15.2-9.12.el5_5                              rhel-i386-client-5            
httpd.i386                                      2.2.3-43.el5_5.3                               rhel-i386-client-5            
httpd-devel.i386                                2.2.3-43.el5_5.3                               rhel-i386-client-workstation-5
httpd-manual.i386                               2.2.3-43.el5_5.3                               rhel-i386-client-workstation-5
ipsec-tools.i386                                0.6.5-14.el5_5.5                               rhel-i386-client-5            
kernel.i686                                     2.6.18-194.11.3.el5                            rhel-i386-client-5            
kernel-devel.i686                               2.6.18-194.11.3.el5                            rhel-i386-client-5            
kernel-headers.i386                             2.6.18-194.11.3.el5                            rhel-i386-client-5            
kernel-xen.i686                                 2.6.18-194.11.3.el5                            rhel-i386-client-5            
ksh.i386                                        20100202-1.el5_5.1                             rhel-i386-client-workstation-5
lftp.i386                                       4.0.10-1.el5.rf                                rpmforge                      
mod_ssl.i386                                    1:2.2.3-43.el5_5.3                             rhel-i386-client-5            
nmap.i386                                       2:5.21-1.el5.rf                                rpmforge                      
nspr.i386                                       4.8.6-1.el5                                    rhel-i386-client-5            
nspr-devel.i386                                 4.8.6-1.el5                                    rhel-i386-client-workstation-5
nss.i386                                        3.12.7-2.el5                                   rhel-i386-client-5            
nss-devel.i386                                  3.12.7-2.el5                                   rhel-i386-client-workstation-5
nss-tools.i386                                  3.12.7-2.el5                                   rhel-i386-client-5            
openssh.i386                                    4.3p2-41.el5_5.1                               rhel-i386-client-5            
openssh-askpass.i386                            4.3p2-41.el5_5.1                               rhel-i386-client-5            
openssh-clients.i386                            4.3p2-41.el5_5.1                               rhel-i386-client-5            
openssh-server.i386                             4.3p2-41.el5_5.1                               rhel-i386-client-5            
perl-Mail-DKIM.noarch                           0.38-1.el5.rf                                  rpmforge                      
poppler.i386                                    0.5.4-4.4.el5_5.13                             rhel-i386-client-5            
poppler-utils.i386                              0.5.4-4.4.el5_5.13                             rhel-i386-client-5            
popt.i386                                       1.10.2.3-20.el5_5.1                            rhel-i386-client-5            
rpm.i386                                        4.4.2.3-20.el5_5.1                             rhel-i386-client-5            
rpm-build.i386                                  4.4.2.3-20.el5_5.1                             rhel-i386-client-workstation-5
rpm-devel.i386                                  4.4.2.3-20.el5_5.1                             rhel-i386-client-workstation-5
rpm-libs.i386                                   4.4.2.3-20.el5_5.1                             rhel-i386-client-5            
rpm-python.i386                                 4.4.2.3-20.el5_5.1                             rhel-i386-client-5            
sudo.i386                                       1.7.2p1-8.el5_5                                rhel-i386-client-5            
tzdata.i386                                     2010l-1.el5                                    rhel-i386-client-5            
tzdata-java.i386                                2010l-1.el5                                    rhel-i386-client-5            
xulrunner.i386                                  1.9.2.9-1.el5                                  rhel-i386-client-5            
xulrunner-devel.i386                            1.9.2.9-1.el5                                  rhel-i386-client-workstation-5

But still from the GUI it is failing.
Comment 4 James Antill 2010-09-15 00:21:34 EDT
Well, the only thing I can think is if you ran "yum" as the user (I think you didn't, but...). That'll have a different cache by default. Try running "yum" as root ... although the only thing that comes to mind about why that would make a consistent difference is if you have http_proxy set in your user environment, but not for root (and you need to use the proxy to get outside).

If that doesn't help, then is it possible for you to get a tcpdump of both yum and pirut talking on the network?
Comment 5 Matt 2010-09-15 02:40:52 EDT
I was running yum as root. What would be a useful tcpdump command for me to run?
Comment 6 Matt 2010-09-15 17:33:08 EDT
I found that disabling location-aware updates resolved the problem, as described at

https://access.redhat.com/kb/docs/DOC-16881
Comment 7 James Antill 2010-09-16 09:47:31 EDT
Wow, ok, weird that it only affected pirut.

Note You need to log in before you can comment on or make changes to this bug.